Bug 177391 - Add checkbox to immediately continue after rpm resolution
Add checkbox to immediately continue after rpm resolution
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-10 04:38 EST by David Timms
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2006-01-10 04:38:38 EST
+++ This bug was created as a variant of Bug #52214 or 174283

Description of problem:
In FC5t1, during graphical installation, after selecting the package groups; a
dialogue appears stating 'Checking dependencies in packages selected for
Installation...'. This seems to take about 2 minutes.

When it completes, a further click/alt-n is required for the installation to
start. Enhance the installer by removing/bypassing this extra step.

How reproducible:
Two 1 year old machines 

Steps to Reproduce:
1. Start installing FC5t1
2. Select packages

Actual results:
  Click Next
  Wait 2+ minutes
  Installing user has to wait around to ...
  Click Next
  Wait 30 minutes:
  Put disc2 in.

Enhanced results:
  A new checkbox is ticked by default at this point
  Click Next.
  User returns to machine, to a message request CD 2+ etc.

Info: <rant>This final step seems to follow the ms wizard plan: There is a
single question to ask of the user; Instead of just asking the question, a
wizard pops up putting 'welcome to wizard, click next', you click Next, then the
question is asked, click next, then another wizard screen is shown saying next
or finish. I don't think most computer users are that stupid nor want to be
treated like a baby</rant>

My suggestion is to add a checkbox to the left of the Prev/Next Buttons:
'Begin installation automatically' or
'Stop asking questions' or
'Use default answers'
===
In fact, this could possibly be done much closer to the start of the installer.
eg: 'use default answers' but defaults to off. For English users, until you get
to the package selection, I'm just clicking next, waiting, next, waiting, next,
waiting long time.

I guess at point that the checkbox is turned on, a dialog could be displayed
'This will proceed to install Fedora Core with all the defaults.Eg: Would you
like to install with the defaults, (Yes)  (No-turns check box off).

The next prompt would be 'insert next disc'.
Comment 1 Jeremy Katz 2006-01-31 15:50:00 EST
We're not going to add a checkbox to skip a "going to install" screen... in the
future, we may revisit to remove the about to install screen altogether, but
currently, it's going to stay
Comment 2 Terje Røsten 2007-01-12 05:36:45 EST
I am reopening this for F7[1], please have a look at this.

[1]: https://www.redhat.com/archives/fedora-devel-list/2007-January/msg00808.html
Comment 3 Chris Lumens 2007-03-14 17:00:15 EDT
People generally want this checkbox so they can get package selections made and
then walk away from the installation, then come back sometime later when it's
done.  However, the installation process is inherently interactive.  The
confirmation screen serves the useful purpose of giving you a place to stop and
think about what you are doing - it's your last chance to stop anaconda from
destroying your computer and blasting new stuff onto it.  It also provides us a
place to pop up various error messages (for instance, if you select more
packages than you partitioned space for) that will also cause the install
process to stop and request your interaction.

If you are really looking for an automated installation method, we offer that in
the form of kickstart.  You can even make the automated installation stop at
certain points to request your interaction.  For instance, your kickstart file
could include no packages section which would then force you to make package
selections, but would continue uninterrupted after that step.

We're not really interested in creating some sort of hybrid method between the
two that allows you to jump over this step and that with various checkboxes,
which is where implementing this feature invariably leads.

Note You need to log in before you can comment on or make changes to this bug.